package com.neko.controller;

import com.neko.domain.dto.userDto.PhoneLoginDto;
import com.neko.domain.dto.userDto.YanDto;
import com.neko.service.UserService;
import com.neko.utils.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2025/5/18 21:11
 * @Author neko
 **/
@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    UserService userService;

    /**
     * 手机号登录
     * @param phoneLoginDto
     * @return
     */
    @RequestMapping("phoen_login")
    public ResultVo phoenLogin(@RequestBody PhoneLoginDto phoneLoginDto){
        return userService.phoenLogin(phoneLoginDto);
    }

    /**
     * 获取验证码
     * @param dto
     * @return
     */
    @RequestMapping("yan")
    public ResultVo yan(@RequestBody YanDto dto){
        return userService.yan(dto);
    }

}
